<?php
/***
*
*@package binzcms
*@version $id:EditorClass.php, v 1.0
*@author 斌子
*@Tue Nov 11 20:48:05 CST 2008
*@copyright (c) 2009-2010 binzcms
*
*/
if(!defined("BINZCMS")) {
	die("hacking");
}
/**
 *
 * EditorClass
 * 在线编辑器
 * 
 */
class EditorClass {
	/**
	 * __construct
	 *
	 * 构造函数
	 */
	public function __construct() {

	}
	/**
	 * create_editor
	 *
	 * 生成在线编辑器
	 * 
	 * @access  public（权限）
	 * @param   string	$editor_name	编辑器所在页面的名称
	 * @param 	string	$value			编辑器内内容
	 * @param 	string	$toolbar_set	编辑器功能类型(Basic或是Default，默认是Default，可以在fckconfig.js内添加新的类型)
	 * @param 	string	$width			编辑器宽度
	 * @param 	string	$height			编辑器高度	
	 * @return  void	返回类型
	 */
	public function create_editor($editor_name,$value='',$width='750',$height='300',$toolbar_set='') {
		include_once(ROOT_PATH.'/include/source/fckeditor/fckeditor.php');
		$binzcms_editor				= new FCKeditor($editor_name);
		$editor_basepath			=  WEB_HOST.'/include/source/fckeditor/';
		$binzcms_editor->Width		= $width;
		$binzcms_editor->Height		= $height;
		$binzcms_editor->BasePath	= $editor_basepath;
		$binzcms_editor->ToolbarSet	= $toolbar_set;
		$binzcms_editor->Value		= $value;
		return $binzcms_editor->CreateHtml();

	}
}
?>